Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.sonar.runner
[Groovy] Class SonarRunner

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.sonar.runner.SonarRunner

    @Incubating
    class SonarRunner
    extends DefaultTask

Analyses one or more projects with the Sonar Runner. Can be used with or without the `sonar-runner` plugin. If used together with the plugin, `sonarProperties` will be populated with defaults based on Gradle's object model and user-defined values configured via SonarRunnerExtension. If used without the plugin, all properties have to be configured manually.

For more information on how to configure the Sonar Runner, and on which properties are available, see the Sonar Runner documentation.

Property Summary
`Properties` | `sonarProperties` The String key/value pairs to be passed to the Sonar Runner.

Method Summary
`void` | `run()`

Property Detail

### sonarProperties

    Properties sonarProperties

  The String key/value pairs to be passed to the Sonar Runner. `null` values are not permitted.

Method Detail

### run

    @TaskAction
    void run()

Gradle API 1.10